#
# Conditional build:
%bcond_with	tests	# "make test" call (requires functional libusb, i.e. accessible USB subsystem)
#
Summary:	Qt based logic analyzer GUI for sigrok
Summary(pl.UTF-8):	Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu sigrok
Name:		pulseview
Version:	0.2.0
Release:	3
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://sigrok.org/download/source/pulseview/%{name}-%{version}.tar.gz
# Source0-md5:	fe5586212671226afafe9d8d80ed10c6
URL:		http://sigrok.org/wiki/PulseView
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	boost-devel >= 1.42
%{?with_tests:BuildRequires:	boost-test >= 1.42}
BuildRequires:	cmake >= 2.8.3
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libsigrok-devel >= 0.3.0
BuildRequires:	libsigrokdecode-devel >= 0.3.0
BuildRequires:	pkgconfig
BuildRequires:	qt4-qmake >= 4
Requires:	libsigrok >= 0.3.0
Requires:	libsigrokdecode >= 0.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt based logic analyzer GUI for sigrok.

%description -l pl.UTF-8
Oparty na Qt graficzny interfejs analizatora logicznego dla szkieletu
sigrok.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DDISABLE_WERROR=ON \
	%{?with_tests:-DENABLE_TESTS=ON}

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -D contrib/pulseview.desktop $RPM_BUILD_ROOT%{_desktopdir}/pulseview.desktop
install -D icons/sigrok-logo-notext.png $RPM_BUILD_ROOT%{_pixmapsdir}/sigrok-logo-notext.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/pulseview
%{_mandir}/man1/pulseview.1*
%{_desktopdir}/pulseview.desktop
%{_pixmapsdir}/sigrok-logo-notext.png
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pulseview.git;a=log;h=master

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> b82d45d
- rebuild with boost 1.56.0
- release 3 (by relup.sh)

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 94c3fca
- release 2

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> ae55747
- disable tests by default, libusb cannot be initialized on builders

* Fri Jul 25 2014 Jakub Bogusz <qboosh@pld-linux.org> fb1b86d
- updated to 0.2.0
- removed obsolete boost-link patch

* Mon Feb 03 2014 Jan Rękorajski <baggins@pld-linux.org> 424fac4
- fix linking with boost
- rel 3

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 7f31dc7
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Thu Jul 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 255d852
- up to final 0.1.0

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d1aeed
- rel 0.3

* Sun Mar 10 2013 Elan Ruusamäe <glen@delfi.ee> b5d1feb
- autodeps

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 856ba75
- rel 2; segfault fix when building without debug

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c388b07
- enable tests

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ff2c772
- use df

* Sat Mar 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a4db7b1
- initial

